import { IGweet } from "../types";

import { CommentButton } from "./actions/comment-button";
import { LikeButton } from "./actions/like-button";

export const GweetActions = ({
  gweet,

  showStats = false,
}: {
  gweet: IGweet;
  showStats?: boolean | undefined;
}) => {
  return (
    <div className=" space-x-2">
      <CommentButton gweet={gweet} showStats={showStats} />
      <LikeButton gweet={gweet} smallIcons={false} showStats={showStats} />
    </div>
  );
};
