import { Gweet, Like } from "@prisma/client";

import { IUser } from "@/components/profile";

export interface IFeed {
  id: number;
}

export interface IGweet extends Gweet {
  user: IUser;
  likes: ILike[];
  comments: IGweet[];
}

export interface ILike extends Like {
  user: IUser;
  gweet: IGweet;
}

export interface IInfiniteGweets {
  pages: { gweets: IGweet[]; nextId?: string | undefined }[];
  pageParams: any;
}
